Package com.mapd.thrift.server

## Class TDataFrame

- java.lang.Object
- - com.mapd.thrift.server.TDataFrame

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TDataFrame>`, `org.apache.thrift.TBase<TDataFrame,​TDataFrame._Fields>`, `org.apache.thrift.TSerializable`

    public class TDataFrame
    extends Object
    implements org.apache.thrift.TBase<TDataFrame,​TDataFrame._Fields>, Serializable, Cloneable, Comparable<TDataFrame>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TDataFrame._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`long` `arrow_conversion_time_ms`
`ByteBuffer` `df_handle`
`long` `df_size`
`long` `execution_time_ms`
`static Map<TDataFrame._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`ByteBuffer` `sm_handle`
`long` `sm_size`

### Constructor Summary

Constructors
`TDataFrame()`
`TDataFrame​(TDataFrame other)` Performs a deep copy on other.
`TDataFrame​(ByteBuffer sm_handle, long sm_size, ByteBuffer df_handle, long df_size, long execution_time_ms, long arrow_conversion_time_ms)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ByteBuffer` `bufferForDf_handle()`
`ByteBuffer` `bufferForSm_handle()`
`void` `clear()`
`int` `compareTo​(TDataFrame other)`
`TDataFrame` `deepCopy()`
`boolean` `equals​(TDataFrame that)`
`boolean` `equals​(Object that)`
`TDataFrame._Fields` `fieldForId​(int fieldId)`
`long` `getArrow_conversion_time_ms()`
`byte[]` `getDf_handle()`
`long` `getDf_size()`
`long` `getExecution_time_ms()`
`Object` `getFieldValue​(TDataFrame._Fields field)`
`byte[]` `getSm_handle()`
`long` `getSm_size()`
`int` `hashCode()`
`boolean` `isSet​(TDataFrame._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetArrow_conversion_time_ms()` Returns true if field arrow_conversion_time_ms is set (has been assigned a value) and false otherwise
`boolean` `isSetDf_handle()` Returns true if field df_handle is set (has been assigned a value) and false otherwise
`boolean` `isSetDf_size()` Returns true if field df_size is set (has been assigned a value) and false otherwise
`boolean` `isSetExecution_time_ms()` Returns true if field execution_time_ms is set (has been assigned a value) and false otherwise
`boolean` `isSetSm_handle()` Returns true if field sm_handle is set (has been assigned a value) and false otherwise
`boolean` `isSetSm_size()` Returns true if field sm_size is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TDataFrame` `setArrow_conversion_time_ms​(long arrow_conversion_time_ms)`
`void` `setArrow_conversion_time_msIsSet​(boolean value)`
`TDataFrame` `setDf_handle​(byte[] df_handle)`
`TDataFrame` `setDf_handle​(ByteBuffer df_handle)`
`void` `setDf_handleIsSet​(boolean value)`
`TDataFrame` `setDf_size​(long df_size)`
`void` `setDf_sizeIsSet​(boolean value)`
`TDataFrame` `setExecution_time_ms​(long execution_time_ms)`
`void` `setExecution_time_msIsSet​(boolean value)`
`void` `setFieldValue​(TDataFrame._Fields field, Object value)`
`TDataFrame` `setSm_handle​(byte[] sm_handle)`
`TDataFrame` `setSm_handle​(ByteBuffer sm_handle)`
`void` `setSm_handleIsSet​(boolean value)`
`TDataFrame` `setSm_size​(long sm_size)`
`void` `setSm_sizeIsSet​(boolean value)`
`String` `toString()`
`void` `unsetArrow_conversion_time_ms()`
`void` `unsetDf_handle()`
`void` `unsetDf_size()`
`void` `unsetExecution_time_ms()`
`void` `unsetSm_handle()`
`void` `unsetSm_size()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### sm_handle

    public ByteBuffer sm_handle

#### sm_size

    public long sm_size

#### df_handle

    public ByteBuffer df_handle

#### df_size

    public long df_size

#### execution_time_ms

    public long execution_time_ms

#### arrow_conversion_time_ms

    public long arrow_conversion_time_ms

#### metaDataMap

    public static final Map<TDataFrame._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TDataFrame

    public TDataFrame()

#### TDataFrame

    public TDataFrame​(ByteBuffer sm_handle,
                      long sm_size,
                      ByteBuffer df_handle,
                      long df_size,
                      long execution_time_ms,
                      long arrow_conversion_time_ms)

#### TDataFrame

    public TDataFrame​(TDataFrame other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TDataFrame deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TDataFrame,​TDataFrame._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TDataFrame,​TDataFrame._Fields>`

#### getSm_handle

    public byte[] getSm_handle()

#### bufferForSm_handle

    public ByteBuffer bufferForSm_handle()

#### setSm_handle

    public TDataFrame setSm_handle​(byte[] sm_handle)

#### setSm_handle

    public TDataFrame setSm_handle​(ByteBuffer sm_handle)

#### unsetSm_handle

    public void unsetSm_handle()

#### isSetSm_handle

    public boolean isSetSm_handle()

Returns true if field sm_handle is set (has been assigned a value) and false otherwise

#### setSm_handleIsSet

    public void setSm_handleIsSet​(boolean value)

#### getSm_size

    public long getSm_size()

#### setSm_size

    public TDataFrame setSm_size​(long sm_size)

#### unsetSm_size

    public void unsetSm_size()

#### isSetSm_size

    public boolean isSetSm_size()

Returns true if field sm_size is set (has been assigned a value) and false otherwise

#### setSm_sizeIsSet

    public void setSm_sizeIsSet​(boolean value)

#### getDf_handle

    public byte[] getDf_handle()

#### bufferForDf_handle

    public ByteBuffer bufferForDf_handle()

#### setDf_handle

    public TDataFrame setDf_handle​(byte[] df_handle)

#### setDf_handle

    public TDataFrame setDf_handle​(ByteBuffer df_handle)

#### unsetDf_handle

    public void unsetDf_handle()

#### isSetDf_handle

    public boolean isSetDf_handle()

Returns true if field df_handle is set (has been assigned a value) and false otherwise

#### setDf_handleIsSet

    public void setDf_handleIsSet​(boolean value)

#### getDf_size

    public long getDf_size()

#### setDf_size

    public TDataFrame setDf_size​(long df_size)

#### unsetDf_size

    public void unsetDf_size()

#### isSetDf_size

    public boolean isSetDf_size()

Returns true if field df_size is set (has been assigned a value) and false otherwise

#### setDf_sizeIsSet

    public void setDf_sizeIsSet​(boolean value)

#### getExecution_time_ms

    public long getExecution_time_ms()

#### setExecution_time_ms

    public TDataFrame setExecution_time_ms​(long execution_time_ms)

#### unsetExecution_time_ms

    public void unsetExecution_time_ms()

#### isSetExecution_time_ms

    public boolean isSetExecution_time_ms()

Returns true if field execution_time_ms is set (has been assigned a value) and false otherwise

#### setExecution_time_msIsSet

    public void setExecution_time_msIsSet​(boolean value)

#### getArrow_conversion_time_ms

    public long getArrow_conversion_time_ms()

#### setArrow_conversion_time_ms

    public TDataFrame setArrow_conversion_time_ms​(long arrow_conversion_time_ms)

#### unsetArrow_conversion_time_ms

    public void unsetArrow_conversion_time_ms()

#### isSetArrow_conversion_time_ms

    public boolean isSetArrow_conversion_time_ms()

Returns true if field arrow_conversion_time_ms is set (has been assigned a value) and false otherwise

#### setArrow_conversion_time_msIsSet

    public void setArrow_conversion_time_msIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TDataFrame._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TDataFrame,​TDataFrame._Fields>`

#### getFieldValue

    public Object getFieldValue​(TDataFrame._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TDataFrame,​TDataFrame._Fields>`

#### isSet

    public boolean isSet​(TDataFrame._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TDataFrame,​TDataFrame._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TDataFrame that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TDataFrame other)

Specified by:
  `compareTo` in interface `Comparable<TDataFrame>`

#### fieldForId

    public TDataFrame._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TDataFrame,​TDataFrame._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`